Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.benchmark.config
Class SolverBenchmarkConfig

    java.lang.Object
      org.drools.planner.benchmark.config.SolverBenchmarkConfig

    public class SolverBenchmarkConfig

extends Object

Constructor Summary
`SolverBenchmarkConfig()`

Method Summary
`SolverBenchmark` | `buildSolverBenchmark(DefaultPlannerBenchmark plannerBenchmark)`
`String` | `getName()`
`ProblemBenchmarksConfig` | `getProblemBenchmarksConfig()`
`SolverConfig` | `getSolverConfig()`
`void` | `inherit(SolverBenchmarkConfig inheritedConfig)`
`void` | `setName(String name)`
`void` | `setProblemBenchmarksConfig(ProblemBenchmarksConfig problemBenchmarksConfig)`
`void` | `setSolverConfig(SolverConfig solverConfig)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SolverBenchmarkConfig

    public SolverBenchmarkConfig()

Method Detail

### getName

    public String getName()

### setName

    public void setName(String name)

### getSolverConfig

    public SolverConfig getSolverConfig()

### setSolverConfig

    public void setSolverConfig(SolverConfig solverConfig)

### getProblemBenchmarksConfig

    public ProblemBenchmarksConfig getProblemBenchmarksConfig()

### setProblemBenchmarksConfig

    public void setProblemBenchmarksConfig(ProblemBenchmarksConfig problemBenchmarksConfig)

### buildSolverBenchmark

    public SolverBenchmark buildSolverBenchmark(DefaultPlannerBenchmark plannerBenchmark)

### inherit

    public void inherit(SolverBenchmarkConfig inheritedConfig)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.